Gecode::Gist::BestNode Class Reference

Static reference to the currently best space. More...

`#include <spacenode.hh>`

## Public Member Functions

| BestNode (SpaceNode *s0)
| Constructor.

## Public Attributes

SpaceNode * | s
| The currently best node found, or NULL.

## Detailed Description

Static reference to the currently best space.

Definition at line 80 of file spacenode.hh.

## Constructor & Destructor Documentation

## BestNode()

Gecode::Gist::BestNode::BestNode | ( | SpaceNode * | s0 | ) |

Constructor.

Definition at line 61 of file spacenode.cpp.

## Member Data Documentation

## s

SpaceNode* Gecode::Gist::BestNode::s

The currently best node found, or NULL.

Definition at line 83 of file spacenode.hh.

The documentation for this class was generated from the following files:

- gecode/gist/spacenode.hh
- gecode/gist/spacenode.cpp